#
# $Header: $
# 
# Config parameters
# 
# Only Strings and Dwords are supported.  To indentify a value as a string use quotes.
# Otherwise the value will be interpreted as a Dword.
#
# Composite strings are also supported.  Strings built from previously defined props
# for example :
#
#

# Set SKIP_STEP_FIRMWARE_UPDATE to non-zero if you don't want to update printer 
# firmware during a standard install or upgrade. Comment out or set to 0 otherwise.
SKIP_STEP_FIRMWARE_UPDATE = 1

# Set DEFAULT_IS_ONLY_PREINSTALL to non-zero if you don't want to add any printers
# during a standard install. Comment out or set to 0 otherwise.
DEFAULT_IS_ONLY_PREINSTALL = 0

# Northstar note: Doesn't need FW_PROMPT_DOWNLOAD_USB property, aways prompts for firwmare download, 

# Set INSTALL_GUI_FW_UPDATE_TOOL to 1 if you want a
# firmware update tool installed.
INSTALL_GUI_FW_UPDATE_TOOL = 0

# Set FW_PROMPT_RESET_PRINTER to 1 if you want the user to be prompted to reset the 
# printer after updating firmware.
FW_PROMPT_RESET_PRINTER = 0

# set user guide button
FW_SHOW_USER_GUIDE = 0

# set vendor url button visible
FW_SHOW_VENDOR_URL = 0

# Supported Infs
PRINT_INFNAME = "drivers\AstroLSeries.inf"
EWS_INFNAME = "drivers\mvusbcomm.INF"
PRINT_WIN10_INFNAME = "drivers10\AstroLSeries.inf"
EWS_WIN10_INFNAME = "drivers10\mvusbcomm.INF"
# SCAN_INFNAME = "scan.INF"
# FAX_INFNAME = "fax.INF"

CD_VOLUME_NAME = "L Series Printer"
PRINTER_SERIES_NAME = "L Series Driver"
INSTALL_DIRECTORY = "L Series Driver"
ARP_UNINSTALLTAG = "L Series Driver"
SHORTCUT_DIRECTORY = "L Series Driver"
PRODUCT_VIDPID = "vid_239D&pid_1331"
ISRUNNING_MUTEX_NAME = "LSeriesInstallExists"
DRIVER_VER_FILE = "ZSU_AstroLSeries.VER"
MANUFACTURER = "Memjet"
# MANUFACTURER = "Astro Machine"

#FWBIN_FILES = "*, product.bin"

#slp
MULTICAST_IPADDRESS = "239.255.255.253"
SERVICE_TAG = "service:printer:raw-tcp"
PRINTERID_TAG = "ieee-1284-device-id"
IPADDRESS_TAG = "x-ip-addr"
MACADDRESS_TAG = "x-mac-addr"
HOSTNAME_TAG = "printer-name"
MANUFACTURER_FILTER = "AstroMachine"
PRINTERNAME_FILTER = "L_Series"

# Software Update
# SOFTWARE_UPDATE_URL = "https://www.memjet.com/SoftwareUpdates/SoftwareUpdates.xml"

# Used by CD Launcher
HELP_DIR = "manuals"
# HELP_FILE = "TechnicalReference.pdf"
LEGAL_NOTICE_FILE = "LegalNotice.pdf"
# WEBSITE_URL = "http://www.memjet.com/"
INSTALLER_FILENAME = "Install.exe" 

# MSIs to install before the drivers are installed
# NOTE: This should only be MSIs that the drivers need (e.g. portmonitors)
# PREDRIVER_32BIT_MSIS = ""
# PREDRIVER_64BIT_MSIS = ""
# MSIs to install after the drivers are installed
# POSTDRIVER_32BIT_MSIS = ""
# POSTDRIVER_64BIT_MSIS = ""

# Valid printer types: USB, USBNET, NET
# PRINTERTYPES = "Printer Type 1 (USB only), USB, Printer Type 2 (USB + Network), USBNET"
PRINTERTYPES = "Printer Type 2 (USB + Network), USBNET"
# PRINTERTYPES = "Printer Type 1 (USB only), USB"

# Replace the finish dialog with this user defined exe
# Supported folder macros:
#		%THISEXE_DIR%     -- The directory of the install exe
#		%PROGRAMFILES_DIR%
#		%SYSTEM32_DIR%
#		%WINDOWS_DIR%
#		%TEMP_DIR%
# FINISH_INSTALL_EXE = "%THISEXE_DIR%\exes\PrintViewer.exe"

# Scrub Parameters
# REMOVE_NONPRINTER_DEVICE_HWIDS = "*vid_1286&pid_0f0c*&mi_01*, *vid_1286&pid_0f0c*&mi_02*, *vid_1286&pid_0f0c*&mi_03*"
